# -*- coding: utf-8 -*-
import android

class Dialog:
    """Die Klasse Dialog stellt einen einfachen Dialog zur
    Verfuegung, der eine Nachricht anzeigen kann."""

    def __init__(self, pTitel, pNachricht):
        """Auftrag [Konstruktor]: __init__
        nachher
        Der Dialog ist initialisiert.
        """
        self.__androide = android.Android()
        self.zTitel = pTitel
        self.zNachricht = pNachricht

    def setzeNachricht(self, pNachricht):
        """Auftrag: setzeNachricht(pNachricht : Zeichenkette)
        nachher
        Die Nachricht des Dialogs wurde geändert.
        """
        self.zNachricht = pNachricht

    def setzeTitel(self, pTitel):
        """Auftrag: setzeTitel(pTitel : Zeichenkette)
        nachher
        Der Titel des Dialogs wurde geändert.
        """
        self.zTitel = pTitel

    def nachricht(self):
        """Anfrage: nachricht : Zeichenkette
        nachher
        Diese Anfrage liefert die Nachricht des Dialogs.
        """
        return self.zTitel

    def titel(self):
        """Anfrage: titel : Zeichenkette
        nachher
        Diese Anfrage liefert den Titel des Dialogs.
        """
        return self.zTitel

    def zeige(self):
        """Auftrag: zeige
        nachher
        Der Dialog wurde angezeigt.
        """
        self.__androide.dialogCreateAlert(self.zTitel, self.zNachricht)
        self.__androide.dialogSetPositiveButtonText('Ok')
        self.__androide.dialogShow()
        self.__androide.dialogGetResponse()
